#
# Conditional build:
%bcond_without	apidocs		# API docs
%bcond_without	memphis		# local rendering using libmemphis
%bcond_without	vala		# Vala API
#
Summary:	Map widget for Clutter
Summary(pl.UTF-8):	Widget mapy dla Cluttera
Name:		libchamplain
Version:	0.12.9
Release:	1
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libchamplain/0.12/%{name}-%{version}.tar.xz
# Source0-md5:	9d811d78517bd8be5ff520400b3e7829
URL:		https://wiki.gnome.org/Projects/libchamplain
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	clutter-devel >= 1.12
BuildRequires:	clutter-gtk-devel >= 0.90.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	glibc-misc
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	libsoup-devel >= 2.34
BuildRequires:	libtool >= 2:2.2.6
%{?with_memphis:BuildRequires:	memphis-devel >= 0.2.1}
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel >= 3.0
%{?with_vala:BuildRequires:	vala >= 0.11.0}
Requires:	cairo >= 1.4.0
Requires:	glib2 >= 1:2.16.0
Requires:	libsoup >= 2.34
%{?with_memphis:Requires:	memphis >= 0.2.1}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%description -l pl.UTF-8
Libchamplain jest biblioteką C, której celem jest dostarczenie
interfejcu ClutterActor do wyświetlania rastrowych map.

%package devel
Summary:	Header files for the libchamplain library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libchamplain
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	clutter-devel >= 1.12
Requires:	clutter-gtk-devel >= 0.90.0
Requires:	glib2-devel >= 1:2.16.0
Requires:	gtk+3-devel >= 3.0.0
Requires:	libsoup-devel >= 2.34
%{?with_memphis:Requires:	memphis-devel >= 0.2.1}
Requires:	sqlite3-devel >= 3.0

%description devel
Header files for the libchamplain library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libchamplain.

%package apidocs
Summary:	libchamplain API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libchamplain
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libchamplain API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libchamplain.

%package -n vala-libchamplain
Summary:	libchamplain API for Vala language
Summary(pl.UTF-8):	API libchamplain dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 0.11.0

%description -n vala-libchamplain
libchamplain API for Vala language.

%description -n vala-libchamplain -l pl.UTF-8
API libchamplain dla języka Vala.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-gtk \
	%{__enable_disable apidocs gtk-doc} \
	%{?with_memphis:--enable-memphis} \
	%{__enable_disable vala vala} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libchamplain-0.12.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchamplain-0.12.so.0
%attr(755,root,root) %{_libdir}/libchamplain-gtk-0.12.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchamplain-gtk-0.12.so.0
%{_libdir}/girepository-1.0/Champlain-0.12.typelib
%{_libdir}/girepository-1.0/GtkChamplain-0.12.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libchamplain-0.12.so
%attr(755,root,root) %{_libdir}/libchamplain-gtk-0.12.so
%{_includedir}/libchamplain-0.12
%{_includedir}/libchamplain-gtk-0.12
%{_pkgconfigdir}/champlain-0.12.pc
%{_pkgconfigdir}/champlain-gtk-0.12.pc
%{_datadir}/gir-1.0/Champlain-0.12.gir
%{_datadir}/gir-1.0/GtkChamplain-0.12.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libchamplain-0.12
%{_gtkdocdir}/libchamplain-gtk-0.12
%endif

%if %{with vala}
%files -n vala-libchamplain
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/champlain-0.12.vapi
%{_datadir}/vala/vapi/champlain-gtk-0.12.vapi
%endif
%changelog
* Sun Sep 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libchamplain.git;a=log;h=auto/th/libchamplain-0.12.9-1

* Fri Sep 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 6ad6ed0
- updated to 0.12.9

* Thu Jul 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 822cdb7
- updated to 0.12.8

* Mon Mar 03 2014 Jan Rękorajski <baggins@pld-linux.org> 2fedc4b
- release 2 (by relup.sh)

* Sat Feb 08 2014 Łukasz Kieś <kiesiu@pld-linux.org> a7e949a
- updated to 0.12.7
- updated URL

* Fri Feb 07 2014 Jakub Bogusz <qboosh@pld-linux.org> d80438e
- updated to 0.12.6
- added memphis bcond (and keep it enabled by default)

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c44a746
- Release 2

* Tue Sep 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 0df954c
- updated to 0.12.5

* Sun May 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 8e44bff
- updated to 0.12.4

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> ad06f51
- release 5 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> bf80c9f
- rebuild to fix broken filedigests
- release 4 (by relup.sh)

* Thu Sep 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1a1c181
- release 3 (by relup.sh)

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> ab00fbe
- some versioned dependencies

* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5ac078f
- conditional apidocs build
- moved Vala API files to seperate package; rel. 2

* Mon Jul 16 2012 Łukasz Kieś <kiesiu@pld-linux.org> 717f65a
- updated to 0.12.3

* Tue Mar 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ddef1f
- release 2

* Thu Mar 22 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 5b15cac
- updated to 0.12.2

* Fri Dec 23 2011 lisu <lisu@pld-linux.org> e923f2e
- 0.12.1

* Thu Sep 29 2011 Artur Frysiak <artur@frysiak.net> 3c4c9c1
- merge changes from DEVEL

* Sun Sep 18 2011 Artur Frysiak <artur@frysiak.net> 5e345ca
- up to 0.10.1

* Mon Apr 04 2011 Łukasz Kieś <kiesiu@pld-linux.org> e2569fb
- updated to 0.10.0
- merged from DEVEL
- enabled vala bindings (it is disabled by default from this version)

